<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1sensor_1_1_vrpn_client.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">flair::sensor::VrpnClient Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classflair_1_1sensor_1_1_vrpn_client.html">flair::sensor::VrpnClient</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Auto</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a344f81cd35805a9501098bf727ac1a10">Childs</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>color_t</b> enum name (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a3ca9694d29ec2b0491739879685df5ca">Error</a>(const char *function, const char *format,...) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a36cdd7f556e78b1bddd1d1fe4264bb85">ErrorOccured</a>(bool recursive=true) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1sensor_1_1_vrpn_client.html#aa225221a811194704cf10b0726a1680d">GetLayout</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1sensor_1_1_vrpn_client.html">flair::sensor::VrpnClient</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>GetPeriodMS</b>() const  (defined in <a class="el" href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>GetPeriodUS</b>() const  (defined in <a class="el" href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1sensor_1_1_vrpn_client.html#acf82bb30ed4753183a3ddb8758d4a3b6">GetTabWidget</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1sensor_1_1_vrpn_client.html">flair::sensor::VrpnClient</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>Green</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#af001feba14fc053aa778e61080a0b4cf">Information</a>(const char *function, int line, const char *format,...) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html#af892a1b3025cb842cad8e7f2a11a9526">IsPeriodSet</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html#a2a82d0ade1418111c2a4e7d0e133696c">IsRunning</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html#adac9a6d336bdb50bcfa24c66943a355a">IsSuspended</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html#aba8b31e2e4c1beccb31333beb8bd41a4">Join</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#aec92383fd5bf68d9df10414862b7e95c">Object</a>(const Object *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a">ObjectName</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53">ObjectType</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Orange</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a360c112cc3017a5152ebf6e84d2efa70">Parent</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Red</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html#ae7c46910a801f1b16302570ad8ae9580">Resume</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html#afa1fb0f8d5b18273394502159dd5dcef">SafeStop</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html#a37d13f12283d69ebd092a7cc01a7d742">SetPeriodMS</a>(uint32_t period_ms)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html#a581ae3bdecef47c916671a6aafec9509">SetPeriodUS</a>(uint32_t period_us)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html#a501e7802d7edd7e6167d111c803b8349">SleepMS</a>(uint32_t time_ms) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html#ac09a2d745af3dbb42371949d4c622011">SleepUntil</a>(Time time) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html#a3479727dfaf2213f7866fccadb43eeb6">SleepUS</a>(uint32_t time_us) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html#a5a4f0f27689ae4292f81bf45e22998a5">Start</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html#a0e5fc8919ed6042e5736a5dca5ba546b">Suspend</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html#af93c2461c31a6c16958bc44189ab4253">SuspendUntil</a>(Time date)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html#adecd2fabe36298c43267557e7f016deb">Thread</a>(const Object *parent, std::string name, uint8_t priority, uint32_t stackSize=1024 *128)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html#afcbb4a445fe287b8608b173bdc10f056">ToBeStopped</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#ae22db4d723ec2d50b3ba48f26a6a770c">TypeChilds</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1sensor_1_1_vrpn_client.html#adf1f94c2a40092cf76cddf5cce9caae5">UseXbee</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1sensor_1_1_vrpn_client.html">flair::sensor::VrpnClient</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1sensor_1_1_vrpn_client.html#a7f7a90a4a58b7e821f16a11c4767c535">VrpnClient</a>(std::string name, std::string address, uint8_t priority)</td><td class="entry"><a class="el" href="classflair_1_1sensor_1_1_vrpn_client.html">flair::sensor::VrpnClient</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1sensor_1_1_vrpn_client.html#a1d5462b08d2aff8ddc05b564158f4fff">VrpnClient</a>(std::string name, core::SerialPort *serialport, uint16_t us_period, uint8_t priority)</td><td class="entry"><a class="el" href="classflair_1_1sensor_1_1_vrpn_client.html">flair::sensor::VrpnClient</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html#a50cd2ea88d538e10a30c3e6a5286a944">WaitPeriod</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html#a2b5b5f3cf400729419bd864b654af252">WaitUpdate</a>(const IODevice *device)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a168b18451b2ee6126e1e81d452005ff6">Warning</a>(const char *function, const char *format,...) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html#a7fbf5ad201e7e802f0fa127891849dc9">WarnUponSwitches</a>(bool enable)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#aa2bde0e6677bbef705c96c93cb06ad09">~Object</a>()</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html#a39ede97ff3addeaf48ecec09c6625655">~Thread</a>()</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1sensor_1_1_vrpn_client.html#adf2374e9d69ff17fc490ba06e6488a50">~VrpnClient</a>()</td><td class="entry"><a class="el" href="classflair_1_1sensor_1_1_vrpn_client.html">flair::sensor::VrpnClient</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:24 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
